build: ensure six and pyparsing is installed

This commit is contained in:
osy 2022-03-04 22:26:48 -08:00
parent a8a0363b9e
commit ad481ebd8a
2 changed files with 10 additions and 2 deletions

View File

@ -50,13 +50,14 @@ jobs:
- name: Setup Path
shell: bash
run: |
echo "/usr/local/opt/gettext/bin" >> $GITHUB_PATH
echo "/usr/local/opt/bison/bin" >> $GITHUB_PATH
- name: Build Sysroot
if: steps.cache-sysroot.outputs.cache-hit != 'true'
run: |
brew uninstall cmake
brew install bison pkg-config nasm make meson glib
brew install bison pkg-config nasm make meson glib python3
brew unlink python && brew link python@3.10
pip3 install six pyparsing
rm -f /usr/local/lib/pkgconfig/*.pc
./scripts/build_dependencies.sh -p ${{ matrix.platform }} -a ${{ matrix.arch }}
- name: Compress Sysroot

View File

@ -53,7 +53,14 @@ usage () {
exit 1
}
python_module_test () {
python3 -c "import $1"
}
check_env () {
command -v python3 >/dev/null 2>&1 || { echo >&2 "${RED}You must install 'python3' on your host machine.${NC}"; exit 1; }
python_module_test six >/dev/null 2>&1 || { echo >&2 "${RED}'six' not found in your Python 3 installation.${NC}"; exit 1; }
python_module_test pyparsing >/dev/null 2>&1 || { echo >&2 "${RED}'pyparsing' not found in your Python 3 installation.${NC}"; exit 1; }
command -v gmake >/dev/null 2>&1 || { echo >&2 "${RED}You must install GNU make on your host machine (and link it to 'gmake').${NC}"; exit 1; }
command -v meson >/dev/null 2>&1 || { echo >&2 "${RED}You must install 'meson' on your host machine.${NC}"; exit 1; }
command -v msgfmt >/dev/null 2>&1 || { echo >&2 "${RED}You must install 'gettext' on your host machine.\n\t'msgfmt' needs to be in your \$PATH as well.${NC}"; exit 1; }